package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PatentAuthorization;
import com.lightinit.hsdatashow.entity.PatentAuthorizationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PatentAuthorizationMapper {
    long countByExample(PatentAuthorizationExample example);

    int deleteByExample(PatentAuthorizationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PatentAuthorization record);

    int insertSelective(PatentAuthorization record);

    List<PatentAuthorization> selectByExample(PatentAuthorizationExample example);

    PatentAuthorization selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PatentAuthorization record, @Param("example") PatentAuthorizationExample example);

    int updateByExample(@Param("record") PatentAuthorization record, @Param("example") PatentAuthorizationExample example);

    int updateByPrimaryKeySelective(PatentAuthorization record);

    int updateByPrimaryKey(PatentAuthorization record);

    List<PatentAuthorization> selectList(int year);

}